MAN(1) | General Commands Manual | MAN(1)

# NAME

`man` —
display the on-line manual pages (aka “man pages”)

# SYNOPSIS

`man` | [`-acw`|`-h`] [`-C` file] [`-M` path] [`-m` path] [`-S` srch] [[`-s`] section] name ...

`man` | [`-C` file] `-f` command ...

`man` | [`-C` file] `-k` keyword ...

`man` | `-p`

# DESCRIPTION

The `man` utility displays the manual pages named on the command line. Its options are as follows:

`-a`
  Display all of the man pages for a specified section and name combination. (Normally, only the first man page found is displayed.)
`-C`
  Use the specified file instead of the default configuration file. This permits users to configure their own man environment. See man.conf(5) for a description of the contents of this file.
`-c`
  Copy the man page to the standard output instead of using more(1) to paginate it. This is done by default if the standard output is not a terminal device.
`-f`
  Synonym for whatis(1). It searches man pages for command in their names and displays header lines from all matching pages.
`-h`
  Display only the “SYNOPSIS” lines of the requested man pages. For commands, this is typically the command line usage information. For library functions, this usually contains the required include files and function prototypes.
`-k`
  Search man pages for keyword(s), in the same manner as apropos(1).
`-M`
  Override the list of standard directories which `man` searches for man pages. The supplied path must be a colon (“:”) separated list of directories. This search path may also be set using the environment variable `MANPATH`. The subdirectories to be searched, and their search order, is specified by the “_subdir” line in the `man` configuration file.
`-m`
  Augment the list of standard directories which `man` searches for man pages. The supplied path must be a colon (“:”) separated list of directories. These directories will be searched before the standard directories or the directories specified using the `-M` option or the `MANPATH` environment variable. The subdirectories to be searched, and their search order, is specified by the “_subdir” line in the `man` configuration file.
`-p`
  Print the search path for the manual pages.
`-s`
  Restrict the directories that `man` will search to the specified section. The `man` configuration file (see man.conf(5)) specifies the possible section values that are currently available.
`-S`
  Display only man pages that have the specified string in the directory part of their filenames. This allows the man page search process criteria to be narrowed without having to change the MANPATH or “_default” variables.
`-w`
  List the pathnames of the man pages which `man` would display for the specified section and name combination.

If the ‘``-s``’ option is not specified, there is more than one argument, the ‘``-k``’ option is not used, and the first argument is a valid section, then that argument will be used as if specified by the ‘``-s``’ option.

If name is given with a full path (beginning with ‘`/`’) or a relative path that begins with ‘`./`’ or ‘`../`’, then `man` interprets it as a file specification, so that you can do `man` `./foo.5` or even `man` `/cd/foo/bar.1.gz`. If name contains ‘`/`’ but does not match one of the above cases, then the search path is used; this allows you to request machine-specific man pages, such as `man` `vax/boot`.

# ENVIRONMENT

`MACHINE`
  As some man pages are intended only for specific architectures, `man` searches any subdirectories, with the same name as the current architecture, in every directory which it searches. Machine specific areas are checked before general areas. The current machine type may be overridden by setting the environment variable `MACHINE` to the name of a specific architecture. Machine-specific man pages may also be requested by prepending the relevant subdirectory name to the page name, separated by ‘`/`’.
`MANPATH`
  The standard search path used by `man` may be overridden by specifying a path in the `MANPATH` environment variable. The format of the path is a colon (“:”) separated list of directories. The subdirectories to be searched as well as their search order is specified by the “_subdir” line in the `man` configuration file.
`PAGER`
  The pagination command used for writing the output. If the `PAGER` environment variable is null or not set, the standard pagination program more(1) will be used.

# FILES

/etc/man.conf
  default man configuration file.

# SEE ALSO

apropos(1), whatis(1), whereis(1), man.conf(5), mdoc(7), mdoc.samples(7)

# STANDARDS

`man` conforms to X/Open Commands and Utilities Issue 5 (“XCU5”).

# BUGS

The on-line man pages are, by necessity, forgiving toward stupid display devices, causing a few man pages to be not as nicely formatted as their typeset counterparts.

June 16, 2016 | NetBSD 9.2